Bug 767489 - Periodically reconnect to LDAP when the first connection fails
Summary: Periodically reconnect to LDAP when the first connection fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind-dyndb-ldap
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact: IDM QE LIST
URL: https://fedorahosted.org/bind-dyndb-l...
Whiteboard:
Depends On:
Blocks: 767486
TreeView+ depends on / blocked
 
Reported: 2011-12-14 08:01 UTC by Adam Tkac
Modified: 2015-05-20 15:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:51:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0837 normal SHIPPED_LIVE bind-dyndb-ldap bug fix and enhancement update 2012-06-19 20:49:06 UTC

Description Adam Tkac 2011-12-14 08:01:59 UTC
Description of problem:
When the first connection to LDAP fails because LDAP server is down then admin must manually call rndc reload to fetch zones from LDAP:

http://git.fedorahosted.org/git?p=bind-dyndb-ldap.git;a=commit;h=43bffeb1c636ccceec231577fcedb4913eb2e66d

The plugin should periodically reconnect to LDAP itself and fetch zones run-time.
  
Actual results:
Admin must execute `rndc reload` to make plugin working when the first connection to LDAP fails.

Expected results:
The plugin automatically reconnects to LDAP after some time.

Comment 4 Gowrishankar Rajaiyan 2012-05-14 18:55:13 UTC
[root@primenova ~]# service named status
version: 9.8.2rc1-RedHat-9.8.2-0.9.rc1.el6
CPUs found: 2
worker threads: 2
number of zones: 19
debug level: 0
xfers running: 0
xfers deferred: 0
soa queries in progress: 0
query logging is OFF
recursive clients: 0/0/1000
tcp clients: 0/100
server is up and running
named (pid  1121) is running...
[root@primenova ~]#

in /etc/named.conf, in dynamic-db "ipa" { }; section, replace line 'arg "uri
ldapi:// ...' with 'arg "uri ldap://127.0.0.1";'

[root@primenova ~]# iptables -L
Chain INPUT (policy ACCEPT)
target     prot opt source               destination         
REJECT     tcp  --  anywhere             anywhere            tcp dpt:ldap reject-with icmp-port-unreachable 
REJECT     tcp  --  anywhere             anywhere            tcp dpt:ldaps reject-with icmp-port-unreachable 

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination         

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination         
[root@primenova ~]#

[root@primenova ~]# service named restart
Stopping named: .                                          [  OK  ]
Starting named:                                            [  OK  ]
[root@primenova ~]# 

[root@primenova ~]# service named status
version: 9.8.2rc1-RedHat-9.8.2-0.9.rc1.el6
CPUs found: 2
worker threads: 2
number of zones: 19
debug level: 0
xfers running: 0
xfers deferred: 0
soa queries in progress: 0
query logging is OFF
recursive clients: 0/0/1000
tcp clients: 0/100
server is up and running
named (pid  6956) is running...
[root@primenova ~]# 

Verified:
ipa-server-2.2.0-13.el6.x86_64
bind-9.8.2-0.9.rc1.el6.x86_64
bind-dyndb-ldap-1.1.0-0.9.b1.el6.x86_64

Comment 6 errata-xmlrpc 2012-06-20 13:51:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0837.html


Note You need to log in before you can comment on or make changes to this bug.